Bug 1567474

Summary: RFE: Add PMF (MFP) patches
Product: [Fedora] Fedora Reporter: Michael Cronenworth <mike>
Component: wpa_supplicantAssignee: Davide Caratti <dcaratti>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 28CC: bgalvani, blueowl, dcaratti, dcbw, john.j5live, lkundrak
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: wpa_supplicant-2.6-15.fc28 Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2018-05-14 17:55:54 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description Michael Cronenworth 2018-04-14 01:47:26 UTC
Description of problem:
wpa_supplicant added support to control MFP support, called pmf in wpa_supplicant,  over a year ago through D-Bus.

NetworkManager supports controlling this feature as of version 1.10, which is in Fedora 28+.

Please consider adding the two small patches to wpa_supplicant for F28+. I've tested it locally.

http://w1.fi/cgit/hostap/commit/?id=adf8f45f8af27a9ac9429ecde81776b19b6f9224
http://w1.fi/cgit/hostap/commit/?id=3cdb4ac074f76accf24a51d143db545afad2c90b

Comment 1 Fedora Update System 2018-05-11 17:41:03 UTC
wpa_supplicant-2.6-15.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-f12ba9b499

Comment 2 Fedora Update System 2018-05-12 19:36:04 UTC
wpa_supplicant-2.6-15.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-f12ba9b499

Comment 3 Fedora Update System 2018-05-14 17:55:54 UTC
wpa_supplicant-2.6-15.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.